/*	wrblkhc.c 4.2		*/

/*F****************************************************************************

FUNCTION NAME:	wrblkhc

ACTION:		Writes count characters to the handshake hardware of Port C.

PARAMETERS:
		array:	pointer to an array of bytes to be written to Port C.

		count:	number of bytes to write to Port C.

RETURNS:	(void)

******************************************************************************/

#include <hc11/directives.h>

SMALL
void wrblkhc(array, count)

	unsigned short	*array;		/* pointer to data to be written */
	int		count;		/* number of bytes to be written */

	{

	/****************************************************************/
	/*	Note that "while ((count--) > 0)" is equivalent to	*/
	/*	"while ((--count) >= 0)" but the pre-decrement		*/
	/*	version is more efficient than the post-decrement	*/
	/*	verison.						*/
	/****************************************************************/

	while ((--count) >= 0)
		wrbythc((unsigned) *(array++));

	}	/* end of wrblkhc	*/
